Subject: Parrot Cellular #38616418
From: "Deborah Downing" <[email-masked]>
To: <[email-masked]>
Date: Mon, 26 Nov 2007 15:07:13 -0800

Hello Mike,

My name is Debbie Downing and I have taken over for Julia Pursley, here at
Parrot Cellular, while she is on maternity leave.  I wanted to make contact
because we have a new store opening in Grass Valley and will need some
posters.  Also, I wanted to verify the free update service with you.  I show
the invoice date as January 26, 2007.  There is a wage increase coming up
January 2008.  Please let me know the status of this action.  Thank you for
your help.

Sincerely,

Debbie Downing

Parrot Cellular

(831) 661-4000